package entities;

import java.util.HashMap;
import java.util.Map;

public class CallBackCounts {
    
    private static Map<String, Integer> counts = new HashMap<String, Integer>();

    public CallBackCounts() {
    }

    public static void updateCount(String callBackKeyName) {
        if (counts.containsKey(callBackKeyName)){
            int currentCallBackCount = counts.get(callBackKeyName);
            counts.put(callBackKeyName, ++currentCallBackCount);
        } else {
            counts.put(callBackKeyName, 1);
        }
            
    }

    public static Map getCallBackCounts() {
        return counts;
    }

    public static void clearCountsMap() {
        counts.clear();
    }
    
}
