package entities.overrideentitylistenerwithemptyxmltag;

import entities.CallBackCounts;
import javax.persistence.PostPersist;
import javax.persistence.PrePersist;

public class OverriddenCallBackListener {
    
    public OverriddenCallBackListener() {
    }
    
    @PrePersist
    public void prePersistFromXML(Object obj){
        updateCallBackCount("prePersist");
    }

    @PostPersist
    public void postPersistFromXML(Object obj){
        updateCallBackCount("postPersist");
    }

    protected void updateCallBackCount(String callBackKeyName) {
        CallBackCounts.updateCount(callBackKeyName);
    }
    
}
